*{border:0;box-sizing:border-box;margin:0;padding:0}:root{--hue:223;--bg:hsl(var(--hue),10%,90%);--fg:hsl(var(--hue),10%,10%);font-size: calc(16px + (24 - 16) * (100vw - 320px) / (1280 - 320))}main{padding:1.5em 0}.pl,.pl__worm{animation-duration:3s;animation-iteration-count:infinite}.pl{animation-name:bump;animation-timing-function:linear;width:3.2em;height:3.2em;font-size:1.4em}.pl__ring{stroke:hsla(0,10%,10%,.3);transition:stroke .3s}.pl__worm{animation-name:worm;animation-timing-function:cubic-bezier(.42,.17,.75,.83)}#spinner-container{position:fixed;top:50%;left:50%;transform:translate(-50%,-50%);z-index:9999;justify-content:center;display:flex;align-items:center}#spinner-overlay{position:fixed;top:50%;left:50%;transform:translate(-50%,-50%);z-index:103}.show{display:block}.hide{display:none!important}.overlay{width:100%;height:100%;background-color:rgba(0,0,0,.3);z-index:105}.spinner::after{content:"";position:fixed;margin:0;z-index:104}@media (prefers-color-scheme:dark){:root{--bg:hsl(var(--hue),10%,10%);--fg:hsl(var(--hue),10%,90%)}.pl__ring{stroke:hsla(var(--hue),10%,90%,.3)}}@keyframes spinner {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }@keyframes bump {
	from,
	42%,
	46%,
	51%,
	55%,
	59%,
	63%,
	67%,
	71%,
	74%,
	78%,
	81%,
	85%,
	88%,
	92%,
	to { transform: translate(0,0); }
	44% { transform: translate(1.33%,6.75%); }
	53% { transform: translate(-16.67%,-0.54%); }
	61% { transform: translate(3.66%,-2.46%); }
	69% { transform: translate(-0.59%,15.27%); }
	76% { transform: translate(-1.92%,-4.68%); }
	83% { transform: translate(9.38%,0.96%); }
	90% { transform: translate(-4.55%,1.98%); }
}@keyframes worm {
	from { stroke-dashoffset: 10; }
	25% { stroke-dashoffset: 295; }
	to { stroke-dashoffset: 1165; }
}